読者です 読者をやめる 読者になる 読者になる

zakihayaメモ

RubyとRailsのことが中心

LionでCコンパイラが見つからない?

Rubyの最新版をインストールしようとすると、Cコンパイラが無いみたいなエラーが。
ログを見てみると、command gcc-4.2 not fountみたいなことが出ている。
which gcc-4.2では当然見つからず。


こちらを参考にgccをインストール
Mac OS X Lion に gcc-4.2 をインストールするよ


/opt/local/bin/gcc-apple-4.2
にインストールされるので、ここにシンボリックリンクを張る。

ln -s /opt/local/bin/gcc-apple-4.2 /usr/bin/gcc-4.2


うまくいった。